DROP VIEW I_HELP_VIEW
GO
CREATE VIEW I_HELP_VIEW(ZZZZZZ_LANG,ZZZZZZ_JOB,ZZZZZZ_SEQ,ZZZZZZ_CALL,ZZZZZZ_HELP)
  AS SELECT CAST(CASE ZZZZZZ_LANG WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_LANG)END AS CHAR(2))
  ,CAST(CASE ZZZZZZ_JOB WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_JOB)END AS CHAR(10)),ZZZZZZ_SEQ
  ,CAST(CASE ZZZZZZ_CALL WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_CALL)END AS CHAR(10))
  ,CAST(CASE ZZZZZZ_HELP WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_HELP)END AS NCHAR(61))
  FROM ZZZZZZ_I_HELP_TABLE
  WHERE Z_CANCEL=' ' AND 
  (ZZZZZZ_JOB =    'ZZZZ000000' OR 
   ZZZZZZ_JOB LIKE 'ZZZZ0100%' OR 
   ZZZZZZ_JOB LIKE 'ZZZZ0101%' OR 
   ZZZZZZ_JOB LIKE 'ZZZZ0102%' OR
   ZZZZZZ_JOB LIKE 'ZZZZ0103%' OR
   ZZZZZZ_JOB LIKE 'ZZZZ0104%' OR 
   ZZZZZZ_JOB LIKE 'ZZZZ0105%' OR
   ZZZZZZ_JOB LIKE 'ZZZZ0107%' OR
   ZZZZZZ_JOB LIKE 'ZZZZ40%' OR 
   ZZZZZZ_JOB LIKE 'ZZZZ99975%' OR 
   ZZZZZZ_JOB LIKE 'ZZZZ99976%' OR 
   ZZZZZZ_JOB LIKE 'ZZZZ99985%' OR 
   ZZZZZZ_JOB LIKE 'ZZZZ99986%' OR 
   ZZZZZZ_JOB LIKE 'ZZZZ99995%' OR  
   ZZZZZZ_JOB LIKE 'ZZZZ99996%' )  
GO
GRANT  SELECT ON I_HELP_VIEW  TO PUBLIC
GO
DROP VIEW I_MENU_VIEW
GO
CREATE VIEW I_MENU_VIEW  
  (ZZZZZZ_LANG,ZZZZZZ_MENU0,ZZZZZZ_MENU1,ZZZZZZ_MENU2,ZZZZZZ_MENU3
  ,ZZZZZZ_PROGRAM_KIND,ZZZZZZ_PERMISSION,ZZZZZZ_PART,ZZZZZZ_SECURITY,ZZZZZZ_TEST,ZZZZZZ_COPY1,ZZZZZZ_COPY2,ZZZZZZ_COPY3,ZZZZZZ_COPY4,ZZZZZZ_COPY5,ZZZZZZ_MENU)
  AS SELECT CAST(CASE ZZZZZZ_LANG WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_LANG)END AS CHAR(2))
  ,CAST(CASE ZZZZZZ_MENU0 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_MENU0)END AS CHAR(4))
  ,CAST(CASE ZZZZZZ_MENU1 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_MENU1)END AS CHAR(2))
  ,CAST(CASE ZZZZZZ_MENU2 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_MENU2)END AS CHAR(2))
  ,CAST(CASE ZZZZZZ_MENU3 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_MENU3)END AS CHAR(2))
  ,CAST(CASE ZZZZZZ_PROGRAM_KIND WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_PROGRAM_KIND)END AS CHAR(6))
  ,CAST(CASE ZZZZZZ_PERMISSION WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_PERMISSION)END AS CHAR(4))
  ,CAST(CASE ZZZZZZ_PART WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_PART)END AS CHAR(2))
  ,CAST(CASE ZZZZZZ_SECURITY WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_SECURITY)END AS CHAR(1))
  ,CAST(CASE ZZZZZZ_TEST WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_TEST)END AS CHAR(4))
  ,CAST(CASE ZZZZZZ_COPY1 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_COPY1)END AS CHAR(10))
  ,CAST(CASE ZZZZZZ_COPY2 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_COPY2)END AS CHAR(10))
  ,CAST(CASE ZZZZZZ_COPY3 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_COPY3)END AS CHAR(10))
  ,CAST(CASE ZZZZZZ_COPY4 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_COPY4)END AS CHAR(10))
  ,CAST(CASE ZZZZZZ_COPY5 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_COPY5)END AS CHAR(10))
  ,CAST(CASE ZZZZZZ_MENU WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_MENU)END AS NCHAR(30))
  FROM ZZZZZZ_I_MENU_TABLE WHERE Z_CANCEL=' '
  AND ZZZZZZ_MENU0='ZZZZ' 
  AND(ZZZZZZ_MENU1 IN('99') AND ZZZZZZ_MENU2 IN('97','98','99') AND ( ZZZZZZ_MENU3 LIKE '5%' OR ZZZZZZ_MENU3 LIKE '6%' ) 
  OR ZZZZZZ_MENU1='01' AND ZZZZZZ_MENU2 IN('00','01','02','03','04','05','07') OR ZZZZZZ_MENU1='40') 
GO
GRANT  SELECT ON I_MENU_VIEW  TO PUBLIC
GO
DROP   VIEW I_PROGRAM_VIEW
GO
CREATE VIEW I_PROGRAM_VIEW(ZZZZZZ_JOB,ZZZZZZ_SEQ,ZZZZZZ_PROGRAM)
 AS SELECT CAST(CASE ZZZZZZ_JOB WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_JOB)END AS CHAR(10)),ZZZZZZ_SEQ
 ,CAST(CASE ZZZZZZ_PROGRAM WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_PROGRAM)END AS NCHAR(61))
 FROM ZZZZZZ_I_PROGRAM_TABLE
  WHERE Z_CANCEL=' ' AND 
 (ZZZZZZ_JOB LIKE 'ZZZZ0101%' OR 
  ZZZZZZ_JOB LIKE 'ZZZZ0102%' OR
  ZZZZZZ_JOB LIKE 'ZZZZ0103%' OR
  ZZZZZZ_JOB LIKE 'ZZZZ0104%' OR 
  ZZZZZZ_JOB LIKE 'ZZZZ0105%' OR   
  ZZZZZZ_JOB LIKE 'ZZZZ0107%' OR   
  ZZZZZZ_JOB LIKE 'ZZZZ40%' OR 
  ZZZZZZ_JOB LIKE 'ZZZZ99975%' OR 
  ZZZZZZ_JOB LIKE 'ZZZZ99976%' OR 
  ZZZZZZ_JOB LIKE 'ZZZZ99985%' OR 
  ZZZZZZ_JOB LIKE 'ZZZZ99986%' OR 
  ZZZZZZ_JOB LIKE 'ZZZZ99995%' OR 
  ZZZZZZ_JOB LIKE 'ZZZZ99996%') 
  
GO
GRANT  SELECT ON I_PROGRAM_VIEW  TO PUBLIC
GO
DROP   VIEW I_DICTIONARY_VIEW
GO
CREATE VIEW I_DICTIONARY_VIEW(ZZZZZZ_DATA_NAME,ZZZZZZ_LANG,ZZZZZZ_BASE_DATA_NAME,ZZZZZZ_TITLE,ZZZZZZ_MESSAGE,ZZZZZZ_COMMENT1,ZZZZZZ_COMMENT2
,ZZZZZZ_TEST,ZZZZZZ_DEFAULT_TYPE,ZZZZZZ_DEFAULT_LENGTH1,ZZZZZZ_DEFAULT_LENGTH2
,ZZZZZZ_TYPE1,ZZZZZZ_TYPE2,ZZZZZZ_LENGTH1,ZZZZZZ_LENGTH2
,ZZZZZZ_CHECK,ZZZZZZ_CHECK61,ZZZZZZ_CHECK62,ZZZZZZ_CHECK63,ZZZZZZ_CHECK64,ZZZZZZ_CHECK65,ZZZZZZ_CHECK66)
 AS SELECT CAST(CASE ZZZZZZ_DATA_NAME WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_DATA_NAME)END AS NCHAR(30)) 
          ,CAST(CASE ZZZZZZ_LANG WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_LANG)END AS CHAR(2))
          ,CAST(CASE ZZZZZZ_BASE_DATA_NAME WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_BASE_DATA_NAME)END AS NCHAR(30)) 
          ,CAST(CASE ZZZZZZ_TITLE WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_TITLE)END AS NCHAR(30))
          ,CAST(CASE ZZZZZZ_MESSAGE WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_MESSAGE)END AS NCHAR(70))
          ,CAST(CASE ZZZZZZ_COMMENT1 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_COMMENT1)END AS NCHAR(80))
          ,CAST(CASE ZZZZZZ_COMMENT2 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_COMMENT2)END AS NCHAR(80))
          ,CAST(CASE ZZZZZZ_TEST WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_TEST)END AS CHAR(4))
          ,CAST(CASE ZZZZZZ_DEFAULT_TYPE WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_DEFAULT_TYPE)END AS CHAR(9))
          ,ZZZZZZ_DEFAULT_LENGTH1,ZZZZZZ_DEFAULT_LENGTH2
          ,CAST(CASE ZZZZZZ_TYPE1 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_TYPE1)END AS CHAR(1))
          ,CAST(CASE ZZZZZZ_TYPE2 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_TYPE2)END AS CHAR(1))
          ,ZZZZZZ_LENGTH1,ZZZZZZ_LENGTH2
          ,CAST(CASE ZZZZZZ_CHECK WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_CHECK)END AS CHAR(9))
          ,CAST(CASE ZZZZZZ_CHECK61 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_CHECK61)END AS NCHAR(54))
          ,CAST(CASE ZZZZZZ_CHECK62 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_CHECK62)END AS NCHAR(54))
          ,CAST(CASE ZZZZZZ_CHECK63 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_CHECK63)END AS NCHAR(54))
          ,CAST(CASE ZZZZZZ_CHECK64 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_CHECK64)END AS NCHAR(54))
          ,CAST(CASE ZZZZZZ_CHECK65 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_CHECK65)END AS NCHAR(54))
          ,CAST(CASE ZZZZZZ_CHECK66 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_CHECK66)END AS NCHAR(54))
 FROM ZZZZZZ_I_DICTIONARY_TABLE WHERE Z_CANCEL=' '
 AND(ZZZZZZ_DATA_NAME LIKE 'ZZZZZZ[_]%' OR ZZZZZZ_DATA_NAME LIKE 'Z[_]%'
  OR ZZZZZZ_DATA_NAME LIKE 'ZZZZZY[_]MODEL[_]%') 
GO
GRANT  SELECT ON I_DICTIONARY_VIEW  TO PUBLIC
GO
DROP   VIEW I_PRINT_VIEW
GO
CREATE VIEW I_PRINT_VIEW(ZZZZZZ_PRINT,ZZZZZZ_SEQ,ZZZZZZ_PRINT_DATA)
AS SELECT CAST(CASE ZZZZZZ_PRINT WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_PRINT)END AS NCHAR(20))
          ,ZZZZZZ_SEQ
          ,CAST(CASE ZZZZZZ_PRINT_DATA WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_PRINT_DATA)END AS NCHAR(60))
   FROM ZZZZZZ_PRINT_TABLE WHERE Z_CANCEL=' ' AND ZZZZZZ_PRINT LIKE 'ZZZZZZ_SAMPLE%' 
GO
GRANT  SELECT ON I_PRINT_VIEW  TO PUBLIC
GO
DROP   VIEW I_ETC_VIEW
GO
CREATE VIEW I_ETC_VIEW(ZZZZZZ_KEY1,ZZZZZZ_KEY2,ZZZZZZ_ETC,ZZZZZZ_COMMENT)
AS SELECT CAST(CASE ZZZZZZ_KEY1 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_KEY1)END AS CHAR(20))
         ,CAST(CASE ZZZZZZ_KEY2 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_KEY2)END AS CHAR(30))
         ,CAST(CASE ZZZZZZ_ETC WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_ETC)END AS NCHAR(50))
         ,CAST(CASE ZZZZZZ_COMMENT WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZZZ_COMMENT)END AS NCHAR(50))
   FROM ZZZZZZ_ETC_TABLE WHERE Z_CANCEL=' '
   AND (ZZZZZZ_KEY1='ZZZZZZ_PROGRAM'
     OR ZZZZZZ_KEY1 IN('ZZZZZZ_PART:ZZZY','ZZZZZZ_PART:ZZZZ') AND ZZZZZZ_KEY2 IN('ZY','ZZ')
     OR ZZZZZZ_KEY1='ZZZZZZ_COPY' AND RTRIM(SUBSTRING(ZZZZZZ_KEY2,1,10))='ZZZZZZ_SQL')
GO
GRANT  SELECT ON I_ETC_VIEW  TO PUBLIC
GO
